# -*- coding: utf-8 -*-
import os
from PyQt5.QtCore import QFileInfo, QObject
from qgis.PyQt import QtCore

from .qgissettingmanager import *

class Settings(SettingManager):
    settings_updated = QtCore.pyqtSignal()

    def __init__(self):
        SettingManager.__init__(self, 'OneDoor for QGIS')
        self.add_setting(String('host', Scope.Global, 'https://onedoor.septima.dk'))
        self.add_setting(String('token', Scope.Global, ""))
        self.add_setting(String('organisation', Scope.Global, 'septima'))
        self.add_setting(String('configuration', Scope.Global, 'lite'))
        
    def is_set(self):
        if self.value('host') and self.value('organisation') and self.value('configuration'):
            return True
        return False
    
    def emit_updated(self):
        self.settings_updated.emit()

